BRANDELF(1)

NAME
brandelf - mark an ELF binary for a specific ABI

SYNOPSIS
brandelf [-lv] [-f ELF_ABI_number] [-t string] file ...

DESCRIPTION
The brandelf utility marks an ELF binary to be run under a certain ABI for FreeBSD.

The options are as follows:

-f ELF_ABI_number
    Forces branding with the supplied ELF ABI number. Incompatible with the -t option. These values are assigned by SCO/USL.

-l  Writes the list of all known ELF types to the standard error.

-v  Turns on verbose output.

-t string
    Brands the given ELF binaries to be of the string ABI type. Currently supported ABIs are “FreeBSD”, “Linux”, and “SVR4”.

file
    If -t string is given it will brand file to be of type string, otherwise it will simply display the branding of file.

EXIT STATUS
Exit status is 0 on success, and 1 if the command fails if a file does not exist, is too short, fails to brand properly, or the brand requested is not one of the known types and the -f option is not set.

EXAMPLES
The following is an example of a typical usage of the brandelf command:

    brandelf file
    brandelf -t Linux file

SEE ALSO
The Santa Cruz Operation, Inc., System V Application Binary Interface, April 29, 1998 (DRAFT), http://www.sco.com/developers/devspecs/.

HISTORY
The brandelf manual page first appeared in FreeBSD 2.2.

AUTHORS
This manual page was written by John-Mark Gurney <jmg@FreeBSD.org>.